%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname pandas

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        1.3.3
Release:        2
Summary:        Python library providing high-performance data analysis tools
License:        BSD
URL:            https://pandas.pydata.org/
Source0:        https://github.com/pandas-dev/pandas/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz


%global _description %{expand:
pandas is an open source, BSD-licensed library providing
high-performance, easy-to-use data structures and data
analysis tools for the Python programming language.}

BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires:  %{python_major}-numpy >= 1.21.2
BuildRequires:  %{python_major}-numpy-f2py >= 1.21.2
BuildRequires:  %{python_major}-Cython >= 0.29.24
Requires:       %{python_major} >= %{py_major}.13
Requires:       libgcc >= 10.3.0
Requires:       libstdc++ >= 10.3.0
Requires:       %{python_major}-numpy >= 1.21.2
Requires:       %{python_major}-pytz >= 2019.3
Requires:       %{python_major}-dateutil >= 2.8.0

%description %{_description}

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.16
Requires:      %{name} = %{version}-%{release}
Requires:      python3-numpy >= 1.21.2
Requires:      python3-pytz >= 2019.3
Requires:      python3-dateutil >= 2.8.0

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%prep
%autosetup -n %{pkgname}-%{version} -p1


%build
export PATH=/opt/freeware/bin:$PATH

ulimit -d unlimited
ulimit -m unlimited

%{python_major} setup.py build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%{python_major} setup.py install --root %{buildroot} 


%check
%if %{with dotests}

python3 -m venv --system-site-packages python_venv
. ./python_venv/bin/activate
pip3 install pytest
pip3 install hypothesis
pip3 install python-dateutil
pip3 install pytz
ulimit -d unlimited
ulimit -n unlimited
ulimit -m unlimited
( pytest pandas || true )
deactivate

%endif


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pkgname}
%{python3_sitearch}/%{pkgname}-*.egg-info

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Fri Mar 03 2023 Ayappan P <ayappap2@in.ibm.com> - 1.3.3-2
- Build using python3.9

* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 1.3.3-1
- First port of pandas to AIX Toolbox
